net.dontdrinkandroot.visualization.graphviz

## Enum LayoutEngine

- java.lang.Object
- - java.lang.Enum<LayoutEngine>
  - - net.dontdrinkandroot.visualization.graphviz.LayoutEngine

All Implemented Interfaces:
  Serializable, Comparable<LayoutEngine>

    public enum LayoutEngine
    extends Enum<LayoutEngine>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CIRCO`
`DOT`
`FDP`
`NEATO`
`NOP`
`NOP1`
`NOP2`
`SFDP`
`TWOPI`

### Method Summary

Methods
`static LayoutEngine` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LayoutEngine[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CIRCO

    public static final LayoutEngine CIRCO

#### DOT

    public static final LayoutEngine DOT

#### FDP

    public static final LayoutEngine FDP

#### NEATO

    public static final LayoutEngine NEATO

#### NOP

    public static final LayoutEngine NOP

#### NOP1

    public static final LayoutEngine NOP1

#### NOP2

    public static final LayoutEngine NOP2

#### TWOPI

    public static final LayoutEngine TWOPI

#### SFDP

    public static final LayoutEngine SFDP

### Method Detail

#### values

    public static LayoutEngine[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LayoutEngine c : LayoutEngine.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LayoutEngine valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null